Subject: [UTU] Re: refunding not received
From: "Lily (UTU)" <[email-masked]>
To: Pritish <[email-masked]>
Date: Thu, 11 Jun 2020 08:09:37 +0000

##- Please type your reply above this line -##

This ticket (#504) has been updated.

----------------------------------------------

Lily, Jun 11, 2020, 4:09:36 PM GMT+8

Hello Wang Yi

Hope you everything goes well

May we know when and where did you mailed it? Also which envelope did you send to ?

Our manager will check for you and follow up

Thank you !

Sincerely,
The UTU Team

----------------------------------------------

Pritish, May 24, 2020, 3:36:03 PM GMT+8 (private)

Escalated to Ilma via email to get an update.

----------------------------------------------

Pritish, May 24, 2020, 3:35:49 PM GMT+8

Hello Wang Yi,

We hope that you are safe and well during this time at home. We apologize for any inconvenience and we have raised your case and will be updating you as soon as we investigate this.

We are here for U and your case it utmost priority to us.
May we also ask you, what is your most preferred means of communication? Would you like us to give you a telephone call to update you on your case, as well as an email? Or would you prefer only email updates on this? We completely understand that this is an urgent matter for you.

We look forward to helping you resolve this so you may receive your refund through UTU.

Please let us know what is convenient for you

Sincerely,
The UTU Team

----------------------------------------------

Chenchen Tao, May 22, 2020, 7:46:46 PM GMT+8

Hello 

Since I have validated at the airport through the customs office in February, and now it’s been 3 months.
I recieved even an ultimatum from your system on the 30th April saying that remember to validate the tax fund???

Since it’s my first time doing this through your company, I couldn’t help wondering, does this tax refund system even work?

Regards,
Wang Yi

--------------------------------
This email is a service from UTU.

[7OLE02-VREM]